"use strict";
const { Model } = require("sequelize");
module.exports = (sequelize, DataTypes) => {
  class Produk extends Model {
    static associate(models) {
      Produk.belongsTo(models.Kategori, {
        foreignKey: "kategori_id",
        as: "kategori",
      });
    }
  }
  Produk.init(
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER,
      },
      nama_produk: {
        type: DataTypes.STRING,
        allowNull: false,
      },
      kategori_id: {
        type: DataTypes.INTEGER,
        allowNull: false,
        references: {
          model: "kategori",
          key: "id",
        },
      },
      harga: {
        type: DataTypes.INTEGER,
        allowNull: false,
      },
      stok: {
        type: DataTypes.INTEGER,
        allowNull: false,
      },
    },
    {
      sequelize,
      modelName: "Produk",
      tableName: "produk",
    },
  );
  return Produk;
};
